// _DODA_Eタイプ新規作成 ver1.00

uDlg = new Window('dialog', '_DODA_Eタイプ新規作成', [0, 0, 360, 200]);

uDlg.nameLabel = uDlg.add('statictext', [40, 40, 100, 60], 'ファイル名');
uDlg.nameData = uDlg.add('edittext', [120, 40, 320, 60], '');

uDlg.checkBnr = uDlg.add('checkbox', [60, 80, 160, 100], 'バナーを作成');
uDlg.checkBnr.value = true;

uDlg.checkPr = uDlg.add('checkbox', [200, 80, 320, 100], 'PR画面を作成');
uDlg.checkPr.value = true;

uDlg.buttonCancel = uDlg.add('button', [40, 140, 170, 160], 'キャンセル', {name: 'cancel'});
uDlg.buttonOk = uDlg.add('button', [190, 140, 320, 160], 'OK', {name: 'ok'});
uDlg.buttonOk.onClick = function(){
	if(uDlg.checkBnr.value) createBnr();
	if(uDlg.checkPr.value) createPr();
  uDlg.close();
}

uDlg.center();
uDlg.show();





function createBnr(){
  preferences.rulerUnits = Units.PIXELS;
  doc = app.documents.add(395, 283, 72, 'bnr_' +  uDlg.nameData.text + '_1');

  // ガイド生成
  activeDocument.guides.add(Direction.VERTICAL, 10);
  activeDocument.guides.add(Direction.VERTICAL, 197.5);
  activeDocument.guides.add(Direction.VERTICAL, 385);
  activeDocument.guides.add(Direction.HORIZONTAL, 10);
  activeDocument.guides.add(Direction.HORIZONTAL, 141.5);
  activeDocument.guides.add(Direction.HORIZONTAL, 273);

  // 環境設定
  activeDocument.changeMode(ChangeMode.RGB);
}





function createPr(){
  preferences.rulerUnits = Units.PIXELS;
  doc = app.documents.add(850, 8500, 72, 'pr_' +  uDlg.nameData.text + '_1');

  // グループ生成
  layerSet1 = doc.layerSets.add();
  layerSet1.name = 'footer';
  layerSet2 = doc.layerSets.add();
  layerSet2.name = 'article';
  layerSet3 = doc.layerSets.add();
  layerSet3.name = 'header';
  layerSet4 = layerSet2.layerSets.add();
  layerSet4.name = 'section_03';
  layerSet5 = layerSet2.layerSets.add();
  layerSet5.name = 'section_02';
  layerSet6 = layerSet2.layerSets.add();
  layerSet6.name = 'section_01';

  // ガイド生成
  activeDocument.guides.add(Direction.VERTICAL, 50);
  activeDocument.guides.add(Direction.VERTICAL, 350);
  activeDocument.guides.add(Direction.VERTICAL, 375);
  activeDocument.guides.add(Direction.VERTICAL, 400);
  activeDocument.guides.add(Direction.VERTICAL, 700);
  activeDocument.guides.add(Direction.HORIZONTAL, 500);

  // 環境設定
  activeDocument.changeMode(ChangeMode.RGB);
}